import javax.swing.*;
import java.awt.*;

public class CirclePanel extends JPanel
{
    private ReviewGui gui;
    private int diameter;
    private Color color;
    
    
    public CirclePanel(ReviewGui rGui)
    {
        this.gui = rGui;
        this.diameter = 50;
        this.color = Color.RED;
        setPreferredSize(new Dimension(100,100));
    }
    
    public void paintComponent(Graphics canvas)
    {
        canvas.setColor(Color.white);
        canvas.fillRect(0,0,100,100);
        canvas.setColor(this.color);
        canvas.fillOval(50-(diameter/2),50-(diameter/2),diameter, diameter);;
    }
    
    public void setDiameter(int value)
    {
        this.diameter = value;
    }
    
    public int getDiameter()
    {
        return this.diameter;
    }
    
    public void setColor(Color value)
    {
        this.color = value;
    }
    
}