import javax.swing.*;
import java.awt.*;

public class ColorPanel extends JPanel
{
    private ReviewGui gui;
    private JButton red;
    private JButton blue;
    private JButton yellow;
    
    public ColorPanel(ReviewGui rGui)
    {
        this.gui = rGui;
	
	this.red = new JButton("Red");
	this.blue = new JButton("Blue");
	this.yellow = new JButton("Yellow");               

        this.add(red);
        this.add(blue);
        this.add(yellow);
    }

    //These accessor methods should really be returning clones of our
    //instance variables, but we need to add ActionListeners to them 
    //so we are returning references.
    public JButton getRedButton() {
	return this.red;
    }

    public JButton getBlueButton() {
	return this.blue;
    }

    public JButton getYellowButton() {
	return this.yellow;
    }    
    
}
