import javax.swing.*;
import java.awt.*;

public class SizePanel extends JPanel
{
    private JButton increase = new JButton("Increase");
    private JButton decrease = new JButton ("Decrease");
    private ReviewGui gui;
    
    public SizePanel (ReviewGui rGui)
    {
        this.gui = rGui;

	this.increase = new JButton("Increase");
	this.decrease = new JButton("Decrease");
        
        this.setLayout(new GridLayout(2,1));
        this.add(decrease);
        this.add(increase);
    }

    //These accessor methods should really be returning clones of our
    //instance variables, but we need to add ActionListeners to them 
    //so we are returning references.
    public JButton getIncreaseButton()
    {
	return this.increase;
    }

    public JButton getDecreaseButton()
    {
	return this.decrease;
    }
    
}
